Skip to content

ショップランキング - 売上トップ

概要

TikTokショップの売上ランキングデータを取得します。以下の機能をサポートします。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

API エンドポイント

bash
    POST /shop/v1/rank/topSelling

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえページ番号, デフォルト: 1
pagesizeintegerいいえ1ページあたりの件数, デフォルト: 10

page * pagesize <= 500

pagesize 範囲 [1, 100]

filter オプション値

フィールド必須説明
regionstringいいえ国/地域
category_idintegerいいえ商品カテゴリ
shop_typeintegerいいえショップタイプ: 1 (ブランドショップ), 2 (小売ショップ)
is_cross_borderintegerいいえ越境ECかどうか: 1 (はい), 0 (いいえ)
date_infoobjectはい日付情報

region 範囲: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

orderby オプション値

フィールド必須説明
units_soldいいえ販売数(降順)
usd_gmvいいえ売上(降順)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/topSelling' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        # "is_cross_border": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
      # ,
      # {
      #   "field": "usd_gmv",
      #   "order": "desc",
      # }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

結果の総数。

data.list

フィールド説明
shop_infoobjectショップ情報
rank_categoryobjectランキングカテゴリ
total_affiliate_countinteger総関連クリエイター数
sale_product_countinteger販売中の商品数
units_soldinteger販売数
gmvinteger売上金額(GMV)
usd_gmvintegerUSD換算売上
units_sold_inc_ratestring販売成長率
gmv_inc_ratestring売上成長率
currencystring通貨

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 7496304415144774132,
          "name": "medicube UK",
          "brand": "",
          "seller_company": "",
          "avatar": "https://s.500fd.com/tt_shop/26ecba0b60364ec2a9cfc0eefe829db5~tplv-t5fjg24jzw-resize-png:300:300.png",
          "region": "GB",
          "currency": "GBP",
          "product_count": 51,
          "shop_rating": 5,
          "main_category": {
            "category_id": 14,
            "name": "Beauty & Personal Care"
          },
          "is_fully_managed": 0,
          "is_cross_border": 0,
          "shop_type": 1,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 7986,
        "sale_product_count": 53,
        "units_sold": 5769,
        "gmv": 64774.72,
        "usd_gmv": 80320.65,
        "units_sold_inc_rate": "10.75%",
        "gmv_inc_rate": "7.73%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775701062,
  "request_id": "f273e537-f858-9e03-c15a-22a2acc672e9"
}